Bug 97395 - NCDevADSL.py:33:load:NameError: global name 'ConfDevice' is not defined
NCDevADSL.py:33:load:NameError: global name 'ConfDevice' is not defined
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: redhat-config-network (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-06-14 08:02 EDT by Olivier Baudron
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-15 09:46:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier Baudron 2003-06-14 08:02:11 EDT
# redhat-config-network-tui

An unhandled exception has occured.  This is most likely a bug.  Please save the
crash dump and file a detailed bug report against redhat-config-network at
https://bugzilla.redhat.com/bugzilla

Component: redhat-config-network
Version: 1.3.0
Summary: TB 

/usr/src/build/251628-noarch/install/usr/share/redhat-config-network/netconfpkg/plugins/NCDevADSL.py:33:load:NameError:
global name 'ConfDevice' is not defined

Traceback (most recent call last):
  File "/usr/sbin/redhat-config-network-tui", line 509, in ?
    mainScreen(screen)
  File "/usr/sbin/redhat-config-network-tui", line 152, in mainScreen
    nw=EthernetWindow(screen,getDeviceList())
  File
"/usr/src/build/251628-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 263, in getDeviceList
    DVList.load()
  File
"/usr/src/build/251628-noarch/install/usr/share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 117, in load
    newdev.load(dev)
  File
"/usr/src/build/251628-noarch/install/usr/share/redhat-config-network/netconfpkg/plugins/NCDevADSL.py",
line 33, in load
NameError: global name 'ConfDevice' is not defined
Comment 1 Harald Hoyer 2003-06-27 07:07:53 EDT
should be fixed in rawhide
Comment 2 Olivier Baudron 2003-07-16 06:49:24 EDT
It does not seem to be fixed in 1.3.1-1.
I get exactly the same error.
Comment 3 Olivier Baudron 2003-07-16 08:31:02 EDT
I have zero knowledge of python, but maybe the following works...

--- netconfpkg/plugins/NCDevADSL.py    2003-06-25 12:01:09 +0200
+++ netconfpkg/plugins/NCDevADSL.py    2003-07-16 14:26:15 +0200
@@ -15,7 +15,7 @@
 ## along with this program; if not, write to the Free Software
 ## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
-from netconfpkg.NCDevice import Device
+from netconfpkg.NCDevice import *
 from netconfpkg.NCDeviceFactory import getDeviceFactory
 from netconfpkg.NC_functions import DSL
 import netconfpkg 
Comment 4 Olivier Baudron 2003-07-16 16:22:42 EDT
...and yes, it works!
Comment 5 Olivier Baudron 2003-08-15 04:50:25 EDT
Fixed in rawhide. Thanks.

Note You need to log in before you can comment on or make changes to this bug.